<template>
  <ChartWrapperVent :title="title" :subTitle="subTitle" :sideText="meaning.sideTexts">
    <apexchart
      height="210"
      :options="chartOptions"
      :series="meaning.data.series"
    />
  </ChartWrapperVent>
</template>

<script>
import ChartWrapperVent from '@/components/Ventilation/ChartWrapperVent';

export default {
  name: 'VentilationDiagram',
  components: {
    ChartWrapperVent,
  },
  props: {
    title: {
      type: String,
      default: '',
    },
    subTitle: {
      type: String,
      default: '',
    },
    themeMode: {
      type: String,
      default: 'light',
    },
    meaning: {
      type: Object,
      default: () => {
        return {
          sideTexts: [],
          data: {
            series: [],
            labels: []
          },
          colors: [],
        }
      }
    },
  },
  computed: {
    chartOptions() {
      return {
        chart: {
          type: 'donut'
        },
        colors: this.meaning.colors,
        states: {
          active: {
            filter: {
              type: 'none',
            }
          },
        },
        dataLabels: {
          enabled: false
        },
        plotOptions: {
          pie: {
            donut: {
              size: '50%',
              // labels: {
              //   show: true,
              //   total: {
              //     show: true,
              //     showAlways: true,
              //     label: '',
              //     fontSize: '16px',
              //     fontWeight: 600,
              //     color: '#fff',
              //   }
              // }
            }
          },
        },
        legend: { show: false },
        labels: this.meaning.data.labels,
        tooltip: {
          enabled: true,
          y: {
            formatter: function(value) {
              value = '';
              return value
            }
          },
        }
      }
    }
  }
};
</script>
